org.apache.maven.plugin.version

## Interface PluginVersionManager

All Known Implementing Classes:
  DefaultPluginVersionManager

    public interface PluginVersionManager

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.lang.String` `resolvePluginVersion(java.lang.String groupId, java.lang.String artifactId, MavenProject project, Settings settings, ArtifactRepository localRepository)`
`java.lang.String` `resolveReportPluginVersion(java.lang.String groupId, java.lang.String artifactId, MavenProject project, Settings settings, ArtifactRepository localRepository)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### resolvePluginVersion

    java.lang.String resolvePluginVersion(java.lang.String groupId,
                                        java.lang.String artifactId,
                                        MavenProject project,
                                        Settings settings,
                                        ArtifactRepository localRepository)
                                          throws PluginVersionResolutionException,
                                                 InvalidPluginException,
                                                 PluginVersionNotFoundException

Throws:
  `PluginVersionResolutionException`
  `InvalidPluginException`
  `PluginVersionNotFoundException`

#### resolveReportPluginVersion

    java.lang.String resolveReportPluginVersion(java.lang.String groupId,
                                              java.lang.String artifactId,
                                              MavenProject project,
                                              Settings settings,
                                              ArtifactRepository localRepository)
                                                throws PluginVersionResolutionException,
                                                       InvalidPluginException,
                                                       PluginVersionNotFoundException

Throws:
  `PluginVersionResolutionException`
  `InvalidPluginException`
  `PluginVersionNotFoundException`